> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アプリケーションの基本情報を取得

> このアプリケーションの基本情報（名前、説明、タグ、モード）を取得します。



## OpenAPI

````yaml /ja/api-reference/openapi_completion.json get /info
openapi: 3.0.1
info:
  title: Completion アプリ API
  description: テキスト生成アプリケーションはセッションなしで動作し、翻訳、記事作成、要約 AI などに最適です。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: テキスト生成アプリ API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: 完了メッセージ
    description: テキスト生成に関連する操作です。
  - name: ファイル操作
    description: ファイル管理に関連する操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックに関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識に関連する操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
paths:
  /info:
    get:
      tags:
        - アプリケーション設定
      summary: アプリケーションの基本情報を取得
      description: このアプリケーションの基本情報（名前、説明、タグ、モード）を取得します。
      operationId: getCompletionAppInfoJp
      responses:
        '200':
          description: アプリケーションの基本情報。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppInfoResponse'
              examples:
                appInfo:
                  summary: レスポンス例
                  value:
                    name: My Completion App
                    description: 便利なカスタマーサービスチャットボット。
                    tags:
                      - customer-service
                      - chatbot
                    mode: completion
                    author_name: Dify Team
components:
  schemas:
    AppInfoResponse:
      type: object
      properties:
        name:
          type: string
          description: アプリケーション名。
        description:
          type: string
          description: アプリケーションの説明。
        tags:
          type: array
          items:
            type: string
          description: アプリケーションタグ。
        mode:
          type: string
          description: >-
            アプリケーションモード。`completion` はテキスト生成アプリ、`chat` は基本チャットアプリ、`agent-chat`
            はエージェントベースのアプリ、`advanced-chat` は Chatflow アプリ、`workflow`
            はワークフローアプリです。
        author_name:
          type: string
          description: アプリケーション作成者の名前。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````